<mat-card class="m-auto">
  <form #form="ngForm" (ngSubmit)="submit(form)" novalidate>
    <mat-form-field appearance="standard" class="w-100">
      <mat-label>Benutzername</mat-label>
      <input
        matInput
        type="text"
        id="name"
        name="username"
        required
        aria-describedby="nameHelp"
        #username="ngModel"
        ngModel
      />
    </mat-form-field>
    <mat-form-field appearance="standard" class="w-100">
      <mat-label>Passwort</mat-label>
      <input matInput type="password" name="password" id="password" #password="ngModel" ngModel />
    </mat-form-field>

    <mat-checkbox [checked]="this.enableSession" #remember (change)="this.enableSession = $event.checked"
      >Eingeloggt bleiben</mat-checkbox
    >
    <br />
    <button type="submit" mat-flat-button color="primary" [disabled]="isDisabled(username, password)">Login</button>
  </form>
</mat-card>
